#!/bin/bash
###################################
### DQproc 1=iter 		###
###################################
yisdir=/net/server/homes/sep/yishen/seam3D
bindir=${yisdir}/bin
datdir=${yisdir}

iter=${1}

wbmask=${datdir}/seam2D.wbmask.H
grdo=${datdir}/seam2D.bvtq4v.grdo.iter${iter}.H
grdp=${datdir}/seam2D.bvtq4v.grdp.iter${iter}.H
srch=${datdir}/seam2D.bvtq4v.srch.iter${iter}.H
#hess=${datdir}/seam2D.bvtq4v.hes3.H

#Math file1=${grdo} file2=${hess} exp="file1*file2">junk1.H
Math file1=${wbmask} file2=${grdo} exp="file1*file2">${grdp}
${bindir}/myMPI-gradprcs.x grdo=${grdp}  rectx_grd=5 recty_grd=1 rectz_grd=1 nsmt_grd=1 smtgrd=n smttyp="triflt" grdmsk=n gscale=y
${bindir}/myMPI-srchdrct.x srch=${srch} grdo=${grdp} method="sdstep" rstart=n

