#!/bin/bash

###################################
### grdo 1=iter,2=nqrf, 3=qcomp	###
###################################
yisdir=/net/server/homes/sep/yishen/seam3D
bindir=${yisdir}/bin
datdir=${yisdir}

iter=${1}
nqrf=${2}
qcomp=${3}

csou=${datdir}/seam2D.csou.H
crec=${datdir}/seam2D.crec.bvbq.H
bq=${datdir}/seam2D.bQ.H

bvel=${datdir}/seam2D.bvbq4v.bvel.iter${iter}.H
dimg=${datdir}/seam2D.bvbq4v.dimg.iter${iter}.H
dvel=${datdir}/seam2D.bvbq4v.grdo.iter${iter}.H


${bindir}/myMPI-wet3d_vel.x csou=${csou} crec=${crec} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel} oper="ssfpi" cpximg=0 dimg=${dimg} mode=tomadj adj=1 tombwd_type="bckward" offset=n bsctyp="tayexp"  ntpx=8 nxpad_beg=13 nxpad_end=13 offset=n nvrf=3  nws=90 report=y radian=n wntwfs=n wntwfr=n nqrf=${nqrf} qcomp=${qcomp} qcomp_clip=80 


