#!/bin/bash

###################################
### Line srch 1=iter		###
###################################
yisdir=/net/server/homes/sep/yishen/seam3D
bindir=${yisdir}/bin
datdir=${yisdir}
shdir=${yisdir}/shScript/bV_bQ_4V
iter=${1}
P=${iter}
O=$((${iter}-1))

srch=${datdir}/seam2D.bvbq4v.srch.iter${O}.H
grdo=${datdir}/seam2D.bvbq4v.bvel.iter${O}.H
grdp=${datdir}/seam2D.bvbq4v.bvel.iter${P}.H
alfaO=${datdir}/seam2D.bvbq4v.alfa.iter${O}.H  
alfaP=${datdir}/seam2D.bvbq4v.alfa.iter${P}.H  
fobjO=${datdir}/seam2D.bvbq4v.fobj.iter${O}.H
fobj=${datdir}/seam2D.bvbq4v.fobj.iter${P}.H

cd ${yisdir}
for isrch in {1..3} 
do

  echo "Step length in ${isrch} of iteration ${P}"
  #-----------------------------------------------------------------------------------
  #----------- gradient processing: grdp=grdo+isrch*alpha*srch 
  #-----------------------------------------------------------------------------------
  <${grdo} ${bindir}/myMPI-srchprcs.x srch=${srch}  alpha=${alfaO} isrch=${isrch} qmin=1438.44 qmax=2848.28 >${grdp} 
  #-----------------------------------------------------------------------------------
  #----------- fobj at each isrch
  #-----------------------------------------------------------------------------------
  ${shdir}/shImg.sh ${P} 3 y
  ${shdir}/shDimgLine.sh ${P} ${isrch}
done
   Cat ${datdir}/seam2D.fobj.junk1.H ${datdir}/seam2D.fobj.junk2.H ${datdir}/seam2D.fobj.junk3.H axis=1>${datdir}/seam2D.fobj.junka.H

  #-----------------------------------------------------------------------------------
  #----------- line search
  #-----------------------------------------------------------------------------------

  <${grdo} ${bindir}/myMPI-srchstep.x nsrch=${nsrch} alphO=${alfaO} alphP=${alfaP} fobjP=${datdir}/seam2D.fobj.junka.H fobjO=${fobjO} fobj=${fobj} srch=${srch} qmin=1438.44 qmax=2848.28>${grdp}


 # rm -f ${datdir}/val.fobj.junk*.H


  echo "line srch end" 


