#!/bin/bash

###################################
### grdo 1=iter,2=nqrf, 3=qcomp	###
###################################
yisdir=/net/server/homes/sep/yishen/seam3D
bindir=${yisdir}/bin
datdir=${yisdir}

iter=${1}
nqrf=${2}
qcomp=${3}

csou=${datdir}/seam2D.csou.H
crec=${datdir}/seam2D.crec.bvbq.H
bvel=${datdir}/seam2D.ivbq4q.bvel.H

bq=${datdir}/seam2D.ivbq4q.bQ.iter${iter}.H
dimg=${datdir}/seam2D.ivbq4q.dimg.iter${iter}.H
dq=${datdir}/seam2D.ivbq4q.grdo.iter${iter}.H


${bindir}/bwi-wet3d.x csou=${csou} crec=${crec} bvel=${bvel}  bq=${bq} memchk=n dq=${dq} oper="ssfpi" cpximg=0 dimg=${dimg}  mode=tomadj adj=1 tombwd_type="bckward" offset=n bsctyp="tayexp"  ntpx=8 nxpad_beg=13 nxpad_end=13 offset=n nvrf=3 nqrf=${nqrf} nws=90 report=y radian=n wntwfs=n wntwfr=n nqrf=${nqrf} qcomp=${qcomp} qcomp_clip=80 # nhx=41 ohx=-400
