#!/bin/bash
###################################
### DQproc 1=iter 		###
###################################
yisdir=/net/server/homes/sep/yishen/seam3D
bindir=${yisdir}/bin
datdir=${yisdir}

iter=${1}

wbmask=${datdir}/seam2D.wbmask.H
grdo=${datdir}/seam2D.ivbq4q.grdo.iter${iter}.H
grdp=${datdir}/seam2D.ivbq4q.grdp.iter${iter}.H
srch=${datdir}/seam2D.ivbq4q.srch.iter${iter}.H
hess=${datdir}/seam2D.ivbq4q.hes3.H

Math file1=${grdo} file2=${hess} exp="file1*file2*file2">junk1.H
Math file1=${wbmask} file2=junk1.H exp="file1*file2">${grdp}
${bindir}/myMPI-gradprcs.x grdo=${grdp}  rectx_grd=5 recty_grd=1 rectz_grd=1 nsmt_grd=1 smtgrd=y smttyp="triflt" grdmsk=n gscale=n
${bindir}/myMPI-srchdrct.x srch=${srch} grdo=${grdp} method="sdstep" rstart=n

