program seam3Dtaper
  use sep

  implicit none

 
  integer :: nhx, nz,  ihx, iz, iihx, iiz, iiihx,iohx, n2, n3, n4
  real, dimension(:,:,:,:,:), allocatable :: d,d_taper, taper
  integer :: hx,z
  real::    pi,llhx,dhx, dz, ohx, oz


  write(0,*) "taper.x < data.H hx=[] z=[]  > output.H"

  call sep_init()


  call from_history ('n1', nhx)
  call from_history ('n2', n2)
  call from_history ('n3', n3)
  call from_history ('n4', n4)
  call from_history ('n5', nz)
  call from_history ('d1', dhx)
  call from_history ('d5', dz)
  call from_history ('o1', ohx)
  call from_history ('o5', oz)

  call from_param ('hx', hx, 1)
  call from_param ('z', z, 1)

  ihx=(hx-ohx)/dhx+1
  iz=(z-oz)/dz+1
  iohx=(0.0-ohx)/dhx+1
  pi=3.1415

  allocate(d(nhx,n2, n3, n4, nz),d_taper(nhx,n2, n3, n4, nz),taper(nhx,n2, n3, n4, nz))
  taper=1.0
  call sep_read(d)
  do iiz=1, iz
    llhx=((hx-ohx)/dhx)/(-(z-oz)/dz)*(iiz-1)+ihx
    iihx=llhx
    do iiihx=1, iihx
	taper(iiihx,:,:,:,iiz)=0.35*cos(pi/2.0*(iiihx-iihx+0.5)/(1-iihx+0.5))**5
	!write(0,*) "iiihx, iihx,iiz",iiihx, iihx,iiz, cos(pi/2.0*(iiihx-iihx+0.5)/(1-iihx+0.5))
    end do
  end do

  do iiihx=iohx,nhx
    taper(iiihx,:,:,:,:)=taper(nhx-iiihx+1,:,:,:,:)
  end do
  d_taper=d*taper
  call sep_write(d_taper)

  deallocate(d,d_taper,taper)

  call sep_close()
end program

