program seam_add_q2                
  use sep

  implicit none

  real,dimension(:,:,:),allocatable::  Q2, Q3, Q
  integer:: n1, n2,n3,i1, i2,i3, x1, x2, y1, y2, z1, z2, tapex, tapey, tapez
  real   :: o1, o2, o3, d1, d2, d3, pi
  real	 :: velrms, minQ3

  call sep_init()

  call from_history("n1",n1)
  call from_history("n2",n2)
  call from_history("n3",n3)
  call from_history("d1",d1)
  call from_history("d2",d2)
  call from_history("d3",d3)
  call from_history("o1",o1)
  call from_history("o2",o2)
  call from_history("o3",o3)
  allocate(  Q(n1, n2, n3), Q2(n1, n2, n3), Q3(n1, n2, n3))
  call sep_read(Q2)
  
  !!! need smooth here~
  Q3=log(Q2)/log(10.0)
  minQ3=minval(Q3)
  write(0,*) "minQ3, maxQ3,  minQ3",minval(Q3),maxval(Q3), minQ3
  do i1=1, n1
  do i2=1, n2
  do i3=1, n3
	Q(i1,i2,i3)=(Q3(i1, i2, i3)-minQ3)/(log(50.0)/log(10.0)-minQ3)*(4.0-minQ3)+minQ3
  end do
  end do
  end do
  write(0,*) "minQ, maxQ",minval(Q),maxval(Q)
  call to_history("n1",n1)
  call to_history("n2",n2)
  call to_history("n3",n3)
  call to_history("d1",d1)
  call to_history("d2",d2)
  call to_history("d3",d3)
  call to_history("o1",o1)
  call to_history("o2",o2)
  call to_history("o3",o3)

  call sep_write(Q)
  deallocate(Q, Q2, Q3)
  call sep_close()
end program 
