program seam_add_q1                
  use sep

  implicit none

  real,dimension(:,:,:),allocatable:: vel,Q, tape, Q1
  integer:: n1, n2,n3,i1, i2,i3, xa1, xa2, ya1, ya2, za1, za2,xb1, xb2, yb1, yb2, zb1, zb2, tapex, tapey, tapez
  real   :: o1, o2, o3, d1, d2, d3, pi
  real	 :: Qmax

  call sep_init()

  call from_history("n1",n1)
  call from_history("n2",n2)
  call from_history("n3",n3)
  call from_history("d1",d1)
  call from_history("d2",d2)
  call from_history("d3",d3)
  call from_history("o1",o1)
  call from_history("o2",o2)
  call from_history("o3",o3)
  allocate( vel(n1, n2, n3), Q(n1, n2, n3))
  call sep_read(Q)
	Qmax=minval(Q)
   do i1=1, n1
   do i2=1, n2
   do i3=1, n3
	if (Q(i1, i2, i3) .ge. 3.8) then
		vel(i1, i2, i3)=0.0
        else if (Q(i1, i2, i3) .lt. 3.8 .and.Q(i1, i2, i3) .gt. 2.8 ) then
		vel(i1, i2, i3) =(Qmax/2.8)*cos((Q(i1, i2, i3)-2.8)/(3.8-2.8)*3.141592/2)
	else
		vel(i1, i2, i3)=Qmax/Q(i1, i2, i3)
	end if

   end do
   end do
   end do


  call to_history("n1",n1)
  call to_history("n2",n2)
  call to_history("n3",n3)
  call to_history("d1",d1)
  call to_history("d2",d2)
  call to_history("d3",d3)
  call to_history("o1",o1)
  call to_history("o2",o2)
  call to_history("o3",o3)

  call sep_write(vel)
  deallocate(Q, vel)
  call sep_close()
end program 
